MongoClient::killCursor
MongoClient::selectCollection
MongoClient
PHP Manual

# MongoClient::listDBs

(PECL mongoclient >=1.0.4)

MongoClient::listDBs — Lists all of the databases available.

### Description

public array MongoClient::listDBs ( void )

### Parameters

This function has no parameters.

### Return Values

Returns an associative array containing three fields. The first field is databases, which in turn contains an array. Each element of the array is an associative array corresponding to a database, giving th database's name, size, and if it's empty. The other two fields are totalSize (in bytes) and ok, which is 1 if this method ran successfully.

### Examples

Example #1 MongoClient::listDBs() example

Example demonstrating how to use listDBs and the returned data structure.

`<?php
$mongo = new MongoClient();
$dbs = $mongo->listDBs();
print_r($dbs);
?>`

The above example will output something similar to:

    Array
    (
        [databases] => Array
            (
                [0] => Array
                    (
                        [name] => doctrine
                        [sizeOnDisk] => 218103808
                        [empty] =>
                    )
            )

        [totalSize] => 218103808
        [ok] => 1
    )

MongoClient::killCursor
MongoClient::selectCollection
MongoClient
PHP Manual